Skip to content

Make the template's harmless probe with the connection's fields and secrets, and say how it went

POST
/v1/buyer/connections/{id}/test
curl --request POST \
--url https://example.com/v1/buyer/connections/example/test \
--header 'Authorization: Bearer <token>'

Who: a workspace’s buyer, or its key. API keys with the buyer:write scope.

id
required
string

OK

Media typeapplication/json
object
call_id
required
string
message
required
string
ok
required
boolean
status
required
integer format: int32

Example generated

{
"call_id": "example",
"message": "example",
"ok": true,
"status": 1
}

An error, as go-commons apperr maps it

Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string

Example generated

{
"error": {
"code": "example",
"fields": {
"additionalProperty": "example"
},
"message": "example"
}
}